### Class

# Snapd MarkdownNode

since: 1.48

#### Description [src]

    final class Snapd.MarkdownNode : GObject.Object
    {
      /* No available fields */
    }

`SnapdMarkdownNode` is an opaque data structure and can only be accessed using the provided functions.

Available since: 1.48

#### Ancestors

- GObject

#### Instance methods

###### snapd_markdown_node_get_children

Get the child nodes of this node.

###### snapd_markdown_node_get_node_type

Get the type of node this is.

since: 1.48

###### snapd_markdown_node_get_text

Gets the text associated with this node. This is only present for nodes of type `SNAPD_MARKDOWN_NODE_TYPE_TEXT`.

since: 1.48

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.MarkdownNode:children

No description available.

###### Snapd.MarkdownNode:node-type

No description available.

###### Snapd.MarkdownNode:text

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdMarkdownNodeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.